Bug 125479 - GTK3: close Customize dialog with X button
Summary: GTK3: close Customize dialog with X button
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: GTK3
  Show dependency treegraph
 
Reported: 2019-05-24 15:39 UTC by raal
Modified: 2019-05-27 12:00 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
printscreen (80.00 KB, image/png)
2019-05-24 15:41 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2019-05-24 15:39:20 UTC
Description:
cannot close Customize dialog with X button

Steps to Reproduce:
1. open writer
2. tools - customize
3. close dialog with X button

Actual Results:
doesn't close

Expected Results:
close dialog


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.3.0.0.alpha1+
Build ID: 38ac0586448d4f07811b139f62f62686b029feba
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3;
Comment 1 raal 2019-05-24 15:40:35 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara ; Could you possibly take a look at this one?
Thanks

author	Caolán McNamara <caolanm@redhat.com>	2019-05-14 21:50:36 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2019-05-17 10:59:44 +0200
commit	644ca26af744aec1e66c8dd4199d1228e0f780be (patch)
tree	2a364e77b595a65b9f29ce076b5b9352c9ccdbea
parent	dc17f247daeb281dda531ff335873d563db5b653 (diff)
allow closing welded dialogs to be cancelled
Comment 2 raal 2019-05-24 15:41:09 UTC
Created attachment 151661 [details]
printscreen
Comment 3 Julien Nabet 2019-05-24 22:00:24 UTC
On pc Debian x86-64 with master sources updated today + gtk3, I don't reproduce this.

I just noticed this on console:
(soffice:11065): Gtk-CRITICAL **: 23:59:26.763: gtk_cell_layout_get_area: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(soffice:11065): GLib-GObject-WARNING **: 23:59:26.763: invalid (NULL) pointer instance

(soffice:11065): GLib-GObject-CRITICAL **: 23:59:26.763: g_signal_handlers_block_matched: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

(soffice:11065): Gtk-CRITICAL **: 23:59:26.763: gtk_cell_layout_get_area: assertion 'GTK_IS_CELL_LAYOUT (cell_layout)' failed

(soffice:11065): GLib-GObject-WARNING **: 23:59:26.763: invalid (NULL) pointer instance

(soffice:11065): GLib-GObject-CRITICAL **: 23:59:26.763: g_signal_handlers_block_matched: assertion 'G_TYPE_CHECK_INSTANCE (instance)' failed

+ lots of this kind:
warn:fwk.uiconfiguration:11065:11065:framework/source/uiconfiguration/ImageArrayData.cxx:87: Failed to load image 'cmd/lc_newglobaldoc.png' from icon theme 'elementary'
Comment 4 Caolán McNamara 2019-05-26 14:04:29 UTC
I think I fixed this already. WRT the warning, that's a different thing which https://gerrit.libreoffice.org/#/c/72981/ will fix
Comment 5 Commit Notification 2019-05-26 15:18:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/72ba558eb9e827e0fb2c98cc6c06b25aaf9cc8b6%5E%21

Related: tdf#125479 menu item might be empty

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2019-05-27 12:00:18 UTC
Verified in

Version: 6.3.0.0.alpha1+
Build ID: 53325b40b557cc84d8d21c1baa0ef8d3bfc00ab8
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded